/*
 * node.cpp
 *
 *  Created on: 30/05/2013
 *      Author: mmcgill
 */

#include <birabayin/birabayin.hpp>
using namespace casualty;

// **********************************************************************

int main(int argc, char **argv) {
	ros::init(argc, argv, "birabayin");
	ros::NodeHandle node("~");

	// TODO: Need to pass in actual file for parsing.
	Birabayin* robotBase = new Birabayin(&node);

	if (robotBase->Setup() == 0) {
		robotBase->Main(&node);
	}

	delete (robotBase);

	return 0;
}

